const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const place_features = sequelize.define(
    'place_features',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

name: {
        type: DataTypes.TEXT,
      
      

      },

description: {
        type: DataTypes.TEXT,
      
      

      },

is_active: {
        type: DataTypes.BOOLEAN,
      
        allowNull: false,
        defaultValue: false,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  place_features.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity









    db.place_features.hasMany(db.place_feature_links, {
      as: 'place_feature_links_feature',
      foreignKey: {
          name: 'featureId',
      },
      constraints: false,
    });







//end loop






    db.place_features.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.place_features.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return place_features;
};


